View Issue Details

IDProjectCategoryView StatusLast Update
0006666Talerexchange API (HTTP specification)public2021-09-02 18:14
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006666: desired minor breaking changes for 0.9 (collection)
Description1) rename "url" in /wire's WireAccount to 'payto_uri'
2) remove master public key from `struct TALER_ExchangeSigningKeyValidityPS`
3) Use HKDF to derive private transfer keys from a transfer key secret, reducing backup storage requirement by \kappa
TagsNo tags attached.

Activities

Christian Grothoff

2020-12-14 16:54

manager   ~0017200

9439aa9..c49c3e4 fixes sub-point (1) as it was only a typo in the spec.

Christian Grothoff

2021-01-01 15:49

manager   ~0017290

65ac35a7..26410a72 fixes sub-point (2), protocol version bumped to 9.

Christian Grothoff

2021-09-02 18:14

manager   ~0018241

Fix committed to master branch.

Related Changesets

exchange: master 26410a72

2021-01-01 15:48:43

Christian Grothoff

Details Diff
fix 0006666, bump protocol version to 9 Affected Issues
0006666
mod - src/auditor/taler-auditor-httpd_deposit-confirmation.c Diff File
mod - src/exchange/taler-exchange-httpd_keys.c Diff File
mod - src/include/taler_signatures.h Diff File
mod - src/util/offline_signatures.c Diff File

Issue History

Date Modified Username Field Change
2020-12-09 13:02 Christian Grothoff New Issue
2020-12-09 13:02 Christian Grothoff Status new => assigned
2020-12-09 13:02 Christian Grothoff Assigned To => Christian Grothoff
2020-12-14 16:54 Christian Grothoff Note Added: 0017200
2021-01-01 15:49 Christian Grothoff Note Added: 0017290
2021-01-01 15:49 Christian Grothoff Status assigned => resolved
2021-01-01 15:49 Christian Grothoff Resolution open => fixed
2021-01-01 15:49 Christian Grothoff Fixed in Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:02 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 26410a72
2021-09-02 18:14 Christian Grothoff Note Added: 0018241